From version 134.1
edited by Thomas Mortagne
on 2018/11/15
To version 135.1
edited by Eduard Moraru
on 2018/11/15
Change comment: There is no comment for this version

Summary

Details

Page properties
Author
... ... @@ -1,1 +1,1 @@
1 -XWiki.ThomasMortagne
1 +XWiki.enygma
Content
... ... @@ -113,6 +113,36 @@
113 113  
114 114  Note: If your proxy server only allows partial access to the internet you need to make sure that the sites ##store.xwiki.com##, ##extensions.xwiki.org## and ##nexus.xwiki.org## (note that one is .##com## and the others are ##.org##) can be accessed.
115 115  
116 +=== Debugging proxy configuration issues ===
117 +
118 +If you are having trouble with debugging whether or not the proxy configuration you've just made is properly read by XWiki, you could drop the following groovy script in a new page on your XWiki instance and look for the values of the (proxy) properties you're trying to change:
119 +
120 +{{code language="groovy"}}
121 +{{groovy}}
122 +println "== Environment Variables =="
123 +System.getenv().each { name, value -> println "Name: {{{$name}}} = Value {{{$value}}}" }
124 +println ""
125 +println "== Java System Properties =="
126 +System.getProperties().each { name, value -> println "Name: {{{$name}}} = Value {{{$value}}}" }
127 +{{/groovy}}
128 +{{/code}}
129 +
130 +Additionally, you could also include this test content that actually tests if your XWiki instance is able to access the Internet (using the "httpbin" service; you can use anything else, including google.com), for both HTTP and HTTPs:
131 +
132 +{{code language="velocity"}}
133 +== Test HTTP Access ==
134 +Your XWiki server's IP is:
135 +{{velocity}}
136 +$xwiki.getURLContent("http://httpbin.org/ip")
137 +{{/velocity}}
138 +
139 +== Test HTTPS Access ==
140 +Your XWiki server's IP is:
141 +{{velocity}}
142 +$xwiki.getURLContent("https://httpbin.org/ip")
143 +{{/velocity}}
144 +{{/code}}
145 +
116 116  == Unsupported major.minor version 51.0 ==
117 117  
118 118  This is because starting with version 6.0, XWiki requires Java 7 and you're using Java 6. You need to upgrade your Java version.

Get Connected